Subject: Timber Harvesting Agreement
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 31 May 2000 10:38:00 -0700 (PDT)

I have forwarded to you via one of our assistants a copy of the standard 
Timber Harvesting Agreement that has been offered to me by Southern 
Timbergrowers, our chosen contractor, for work that we desire to begin 
immediately.

Assuming that HPL has some type of pro forma agreement that would better fit 
this situation, I tried to mark-up their agreement indicating some of the 
features at a minimum that we would desire from this business arrangement.

Please could one of you (Gerald is receiving the walk-up copy) get back with 
me with some type of draft agreement within the next few days that I can take 
to ST in order that we may begin the evaluations that we have before us?  I 
would very much appreciate your attention to this.

Thanks!

Candy